<div class="main-content pad">
    <div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
                    <div class="card-icon">
                            <i class="material-icons">poll</i>
                        </div>
					      <h4 class="card-title">
					        <span jhiTranslate="sisteminformasiakademikApp.transaksi.home.title">Invoices</span>
					    </h4>
    				 </div>
    				 <br/>
        <div class="card-body">
          <div class="toolbar" *jhiHasAnyAuthority="['ROLE_TU']" >
            <form name="searchForm" class="form-inline">
                <div class="input-group w-40 no-border">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'sisteminformasiakademikApp.tagihan.home.searchName' | translate }}">
                    <button mat-raised-button class="btn btn-info btn-round btn-just-icon" (click)="search(currentSearch)">
                        <i class="material-icons">search</i>
                    </button>
                    <button mat-raised-button class="btn btn-danger btn-round btn-just-icon" (click)="clear()" *ngIf="currentSearch">
                      <i class="material-icons">delete</i>
                        <div class="ripple-container"></div>
                    </button>
                </div>
            </form>
            <br>
        </div>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <div class="alert alert-warning" *ngIf="transaksis?.length === 0">
        <span>No transaksis found</span>
    </div>
    <div class="table-responsive" *ngIf="transaksis?.length > 0">
        <table class="table table-hover" aria-describedby="page-heading">
            <thead class="thead-light">
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
            <th scope="col"  jhiSortBy="id"><span>No.</span></th>
            <!-- <th scope="col"  jhiSortBy="nomor"><span>No.Transaksi</span></th> -->
            <th scope="col"  jhiSortBy="tanggal"><span>Tgl.Transaksi</span></th>
            <th scope="col"  jhiSortBy="nomor"><span>Siswa</span></th>
            <th scope="col"><span>Jenis</span></th>
            <th scope="col"  jhiSortBy="metode"><span>Metode Bayar</span></th>
            <!-- <th scope="col"  jhiSortBy="metode"><span>Cara Bayar</span></th> -->
            <th scope="col"  jhiSortBy="metode"><span>Jml.Tagihan</span></th>
            <th scope="col"  jhiSortBy="metode"><span>Jml.Bayar</span></th>
            <!-- <th scope="col"  jhiSortBy="metode"><span>Jml.Sisa</span></th> -->
            <!-- <th scope="col"  jhiSortBy="bank"><span>Bank</span></th>
            <th scope="col"  jhiSortBy="nomorRekening"><span>No.Rekening</span></th> -->
            <th scope="col"  jhiSortBy="virtualAccount"><span>Virtual Account</span></th>
            <th scope="col"  jhiSortBy="status"><span>Di Bayar</span></th>
            <th scope="col"  jhiSortBy="status"><span>Status</span></th>
            <!-- <th scope="col"  jhiSortBy="updateBy"><span>Update By</span></th>
            <th scope="col"  jhiSortBy="updateOn"><span>Update On</span></th> -->
            <!-- <th scope="col"  jhiSortBy="tagihan.id"><span>Tagihan</span></th> -->
            <!-- <th scope="col"></th> -->
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let transaksi of transaksis ;trackBy: trackId; let i= index">
			    <td class="text-center">{{((page-1) * itemsPerPage)+(i+1) }}</td>
                <!-- <td><a [routerLink]="['/transaksi', transaksi.id, 'view' ]">{{transaksi.id}}</a></td> -->
                <!-- <td>{{transaksi.nomorTransaksi}}</td> -->
                <td>{{transaksi.tanggalTransaksi | date:'dd MMM yyyy'}} {{transaksi.tanggalTransaksi | date:'HH:mm:ss'}}</td>
                <td>
	                <span class="no-wrap">{{transaksi.namaSiswa}}</span>
	                <span class="color-black">NIS:</span><span class="font">{{transaksi.nis}}</span>
                </td>
                <td>{{transaksi.nomorTagihan}}</td>
                <td>{{transaksi.metodeTransaksi}}</td>
               <!--  <td>{{transaksi.caraBayar}}</td> -->
                <td>
	                <span *ngIf="transaksi.jmlTagihan !== null">{{transaksi.jmlTagihan | currency:'Rp. ' }}</span>
	                <span *ngIf="transaksi.jmlTagihan === null">-</span></td>
                <td>
	                <span *ngIf="transaksi.jmlBayar !== null">{{transaksi.jmlBayar | currency:'Rp. ' }}</span>
	                <span *ngIf="transaksi.jmlBayar === null">-</span></td>
                <!-- <td>
	                <span *ngIf="transaksi.jmlSisa !== null">{{transaksi.jmlSisa | currency:'Rp. ' }}</span>
	                <span *ngIf="transaksi.jmlSisa === null">-</span></td> -->
                <!-- <td>{{transaksi.bank}}</td>
                <td>{{transaksi.nomorRekening}}</td> -->
                <td>{{transaksi.virtualAccount}}</td>
                <td>{{transaksi.updateBy}}</td>
                <td>
                   <span><span *ngIf="transaksi.statusTransaksi === 'SUKSES'" style="color: #00e640; font-style: italic;">SUKSES</span></span>
                   <span><span *ngIf="transaksi.statusTransaksi === 'PROSES'" style="color: #ff9900; font-style: italic;">PROSES</span></span>
                   <span><span *ngIf="transaksi.statusTransaksi === 'EXPIRED'" style="color: rgb(255, 0, 0); font-style: italic;">EXPIRED</span></span>
                </td>
                <!-- <td>{{transaksi.updateBy}}</td>
                <td>{{transaksi.updateOn | date:'medium'}}</td> -->
                <!-- <td>
                    <div *ngIf="transaksi.tagihan">
                        <a [routerLink]="['/tagihan', transaksi.tagihan?.id, 'view' ]" >{{transaksi.tagihan?.id}}</a>
                    </div>
                </td> -->
                <!-- <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/transaksi', transaksi.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/transaksi', transaksi.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(transaksi)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td> -->
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="transaksis?.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
</div>
</div>
</div>
</div>
</div>
